"""vlass testing fixes 2.7

Revision ID: 026c81864801
Revises: c191bfa5c5e5
Create Date: 2022-11-29 15:26:35.894492

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "026c81864801"
down_revision = "c191bfa5c5e5"
branch_labels = None
depends_on = None

old_post = """environment = "CAPO_PATH=/home/casa/capo"
"""

new_post = """environment = "CAPO_PATH=/home/casa/capo"
request_memory = 15G"""


old_cube_disk = """request_disk = 850G"""
new_cube_disk = """request_disk = 950G"""

old_seci_disk = """request_memory = 50G"""
new_seci_disk = """request_memory = 50G
request_disk = 200G"""

old_ql_disk = """request_memory = {{ramInGb}}"""
new_ql_disk = """request_memory = {{ramInGb}}
request_disk = 100G"""

old_caching_disk = """getenv = True"""
new_caching_disk = """request_disk = 50G
getenv = True"""

old_carta_disk = """request_memory = 16G"""
new_carta_disk = """request_memory = 16G
request_disk = 100G"""

old_split_disk = """request_memory = 24G"""
new_split_disk = """request_memory = 24G
request_disk = 20G"""

post_list = ["vlass_seci_post.condor", "vlass_ql_post.condor", "vlass_coarse_post.condor"]


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_cube_disk}', E'{new_cube_disk}')::bytea
        WHERE filename = 'vlass_coarse_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_seci_disk}', E'{new_seci_disk}')::bytea
        WHERE filename = 'vlass_seci_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_ql_disk}', E'{new_ql_disk}')::bytea
        WHERE filename = 'vlass_ql_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_caching_disk}', E'{new_caching_disk}')::bytea
        WHERE filename = 'vlass_image_caching.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_carta_disk}', E'{new_carta_disk}')::bytea
        WHERE filename = 'carta.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_split_disk}', E'{new_split_disk}')::bytea
        WHERE filename = 'split.condor'
        """
    )

    for wf in post_list:
        op.execute(
            f"""
            UPDATE workflow_templates
            SET content = replace(convert_from(content, 'utf8'), E'{old_post}', E'{new_post}')::bytea
            WHERE filename = '{wf}'
            """
        )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_cube_disk}', E'{old_cube_disk}')::bytea
        WHERE filename = 'vlass_coarse_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_seci_disk}', E'{old_seci_disk}')::bytea
        WHERE filename = 'vlass_seci_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_ql_disk}', E'{old_ql_disk}')::bytea
        WHERE filename = 'vlass_ql_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_caching_disk}', E'{old_caching_disk}')::bytea
        WHERE filename = 'vlass_image_caching.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_carta_disk}', E'{old_carta_disk}')::bytea
        WHERE filename = 'carta.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_split_disk}', E'{old_split_disk}')::bytea
        WHERE filename = 'split.condor'
        """
    )

    for wf in post_list:
        op.execute(
            f"""
            UPDATE workflow_templates
            SET content = replace(convert_from(content, 'utf8'), E'{new_post}', E'{old_post}')::bytea
            WHERE filename = '{wf}'
            """
        )
