# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""fix qa staff table

Revision ID: 11fe5eafb730
Revises: 258d71a32328
Create Date: 2022-02-14 10:35:05.922229

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "11fe5eafb730"
down_revision = "258d71a32328"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        ALTER TABLE qa_staff DROP CONSTRAINT IF EXISTS qa_staff_pkey
        """
    )


def downgrade():
    op.execute(
        """
        ALTER TABLE archive.public.qa_staff ADD PRIMARY KEY (user_name)
        """
    )
