"""removing to and cc email headers from templates

Revision ID: 360f4614cc3b
Revises: 6238230adb52
Create Date: 2023-01-03 10:16:09.955575

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '360f4614cc3b'
down_revision = '6238230adb52'
branch_labels = None
depends_on = None

old_destination = """To: {{destination_email}}{{#cc_email}}
Cc: {{cc_email}}{{/cc_email}}
Subject:"""

new_destination = """Subject:"""

old_user = """To: {{user_email}}{{#cc_email}}
Cc: {{cc_email}}{{/cc_email}}
Subject:"""

new_user = """Subject:"""


def upgrade():
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_destination}', E'{new_destination}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_user}', E'{new_user}')
    """)


def downgrade():
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_destination}', E'{old_destination}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_user}', E'{old_user}')
    """)
